[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.ModalFinished

Called when a modal form is closed.

## Declaration

Source position: forms.pp line 1628

`public procedure TApplication.ModalFinished;`

## Description

Invokes all OnModalEnd handlers when exiting Modal state.

## See also

TApplication.ModalStarted |  | Called when a modal form display is started.